%define real_name File-NCopy

Summary:	File::NCopy - Copy file, file Copy file[s] | dir[s], dir
Name:		perl-%{real_name}
Version:	0.34
Release:	1mdk
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/M/MZ/MZSANFORD/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
File::NCopy::copy copies files to directories, or a single file to
another file.  You can also use a reference to a file handle if
you wish whem doing a file to file copy.  The functionality is
very similar to cp.  If the argument is a directory to directory
copy and the recursive flag is set then it is done recursively
like cp -R. In fact it behaves like cp on Unix for the most part.

If called in array context, an array of successful copies is
returned, otherwise the number of succesful copies is returned. 
If passed a file handle, it's difficult to make sure the file we
are copying isn't the same that we are copying to, since by
opening the file in write mode it gets pooched.  To avoid this
use file names instead, if at all possible, especially for the to
file.  If passed a file handle, it is not closed when copy
returns, files opened by copy are closed.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/File/NCopy.pm
%{_mandir}/*/*

%changelog
* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.34-1mdk
- initial Mandriva package 
